#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
    demeter database
    name:farm_work_land_pic.py
    author:rabin
"""
from __load__ import *

class Farm_work_land_pic(Model):
	__table__ = 'farm_work_land_pic'
	__comment__ = '农事地块照片表'
	id = Fields(type='uuid', primaryKey=True, comment='地块ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	land_id = Fields(type='uuid', comment='地块id')
	pic = Fields(type='text', comment='图像记录')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')